Debian Bug report logs - #162192
ldap-utils: ldapsearch linewraps on dn:'s longer than 74 characters

Package: src:openldap; Maintainer for src:openldap is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>;

Reported by: "Joshua McClintock" <joshm@singlestep.com>

Date: Tue, 24 Sep 2002 17:03:14 UTC

Severity: wishlist

Tags: upstream, wontfix

Merged with 174044

Forwarded to openldap-devel@OpenLDAP.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>, openldap2@packages.qa.debian.org:
Bug#162192; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to "Joshua McClintock" <joshm@singlestep.com>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>, openldap2@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Joshua McClintock" <joshm@singlestep.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: ldap-utils: ldapsearch linewraps on dn:'s longer than 74 characters
Date: Tue, 24 Sep 2002 10:00:41 -0700
Package: ldap-utils
Version: 2.0.23-10
Severity: normal
Tags: upstream


Here is an example:

ldapsearch -b ou=Creatures,ou=Bushwood,ou=CaddyShack,dc=singlestep,dc=com -LLL
uid=CarlsSpecialGrass

Results:

dn: uid=CarlsSpecialGrass,ou=Creatures,ou=Bushwood,ou=CaddyShack,dc=singlestep
 ,dc=com
objectClass: account
objectClass: posixAccount
objectClass: top
objectClass: shadowAccount
uid: CarlsSpecialGrass
cn: CarlsSpecialGrass
uidNumber: 100000
gidNumber: 100000
homeDirectory: /home/grass

Notice that the dn: line has a linefeed 74 characters after dn: (dn:_<74
characters>\n).  Is there a reason it should be doing this?

This same thing will happen on any DN: longer than 74 characters.  The remainder gets put on the next line.  In this case, (,dc=com).

Thank you.



-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux rancor.singlestep.com 2.4.18 #6 Thu Jul 11 09:51:57 PDT 2002 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages ldap-utils depends on:
ii  libc6                    2.2.5-14        GNU C Library: Shared libraries an
ii  libldap2                 2.0.23-10       OpenLDAP libraries.
ii  libncurses5              5.2.20020112a-8 Shared libraries for terminal hand
ii  libsasl7                 1.5.27-3.3      Authentication abstraction library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>, openldap2@packages.qa.debian.org:
Bug#162192; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to Stephen Frost <sfrost@snowman.net>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>, openldap2@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 162192@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@snowman.net>
To: 162192@bugs.debian.org
Cc: openldap-software@openldap.org
Subject: DNs longer than 74 characters are wrapped?
Date: Mon, 19 May 2003 18:34:43 -0400
[Message part 1 (text/plain, inline)]
OpenLDAP's ldapsearch is wrapping DN's which are longer than 74
characters on to the next line.  Is this behaviour expected?  Is it
following the RFC (if one exists for this)?  This is not the behaviour I
would expect.  One problem I certainly see is that skipping all
ldapsearch output lines which starts with a '#' won't work because of
this.

Comments?

Just to keep this up to date, I've verified that this is still happening
in 2.1.17.  I'm also sending this to the openldap-software list to see
if this is perhaps expected behaviour.

===# ldapsearch -D "cn=admin,dc=snowman,dc=net" -x -h localhost -W
Enter LDAP Password: 

# aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa, sn
 owman.net
dn: cn=aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
 ,dc=snowman,dc=net
objectClass: inetOrgPerson
cn: aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa

If it turns out that this is intentional and expected behaviour I'll
have to close this bug or move it to being wishlist at best...

	Thanks,

		Stephen
[Message part 2 (application/pgp-signature, inline)]

Severity set to `wishlist'. Request was from Stephen Frost <sfrost@snowman.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ldap-utils' to `libldap2'. Request was from Stephen Frost <sfrost@snowman.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 162192 174044. Request was from Stephen Frost <sfrost@snowman.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 162192 174044. Request was from Torsten Landschoff <t.landschoff@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Torsten Landschoff <t.landschoff@gmx.net>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #21 received at 162192-forwarded@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <t.landschoff@gmx.net>
To: openldap-devel@OpenLDAP.org
Cc: 162192-forwarded@bugs.debian.org
Subject: Breaking lines in LDIF output
Date: Wed, 21 May 2003 11:53:22 +0200
[Message part 1 (text/plain, inline)]
Hi *, 

In investigating Debian bug #162192 (http://bugs.debian.org/162192) I
noticed the following define in include/ldif.h:

#define LDIF_LINE_WIDTH      76      /* maximum length of LDIF lines */

This is only used in libraries/libldif/line64.c which in fact uses this
to break lines in ldif files. 

Interestingly in reading rfc 2849 I found no mention of this limit
apart from this quote:

      10) When an attrval-spec, distinguishedName, or rdn is base64-
          encoded, the encoding rules specified in [5] are used with the
          following exceptions:  a) The requirement that base64 output
          streams must be represented as lines of no more than 76
          characters is removed. Lines in LDIF files may only be folded
          according to the folding rules described in note 2, above. 

So I think that while folding is allowed (according to note 2 even at
any column) it is not required. If you use ldapsearch in scripts you
need to support unfolding lines with the current implementation. I
wonder if it would be possible to add an option to ldapsearch to control
folding. 

Greetings

	Torsten
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'libldap2' to 'src:openldap'. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Fri, 13 Apr 2012 20:27:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:30:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.